Rudiments: propsax Class Reference

Rudiments

Public Member Functions | Protected Member Functions | List of all members
propsax Class Reference

Inherits sax.

Inherited by propdom.

## Public Member Functions
| propsax ()
virtual | ~propsax ()
Public Member Functions inherited from sax
| sax ()
virtual | ~sax ()
virtual bool | parseFile (const char *filename)
virtual bool | parseString (const char *string)
const char * | getError ()

## Protected Member Functions
virtual bool | whitespaceStart ()
virtual bool | whitespace (const char *w)
virtual bool | whitespaceEnd ()
virtual bool | exclamationCommentStart ()
virtual bool | exclamationComment (const char *c)
virtual bool | exclamationCommentEnd ()
virtual bool | poundCommentStart ()
virtual bool | poundComment (const char *c)
virtual bool | poundCommentEnd ()
virtual bool | keyStart ()
virtual bool | key (const char *k)
virtual bool | keyEnd ()
virtual bool | equals (const char *e)
virtual bool | valueStart ()
virtual bool | value (const char *v)
virtual bool | valueEnd ()

## Detailed Description

The propsax class is a base class for an SAX-style parser for data in property-file format. To use this class, you should create a class that inherits from it and implements its protected virtual methods.

## Constructor & Destructor Documentation

## ◆ propsax()

propsax::propsax | ( |  | ) |

Creates an instance of the propsax class.

## ◆ ~propsax()

virtual propsax::~propsax | ( |  | ) |
| virtual

Deletes this instance of the propsax class.

## Member Function Documentation

## ◆ equals()

virtual bool propsax::equals | ( | const char * | e | ) |
| protectedvirtual

Gets called when the equality delimiter between a key and value is parsed.

Reimplemented in propdom.

## ◆ exclamationComment()

virtual bool propsax::exclamationComment | ( | const char * | c | ) |
| protectedvirtual

Gets called when an exclamation-delimited comment is parsed.

Reimplemented in propdom.

## ◆ exclamationCommentEnd()

virtual bool propsax::exclamationCommentEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of an exclamation-delimited comment is encountered.

Reimplemented in propdom.

## ◆ exclamationCommentStart()

virtual bool propsax::exclamationCommentStart | ( |  | ) |
| protectedvirtual

Gets called when the start of an exclamation-delimited comment is encountered.

Reimplemented in propdom.

## ◆ key()

virtual bool propsax::key | ( | const char * | k | ) |
| protectedvirtual

Gets called when a key name is parsed.

Reimplemented in propdom.

## ◆ keyEnd()

virtual bool propsax::keyEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a key is encountered.

Reimplemented in propdom.

## ◆ keyStart()

virtual bool propsax::keyStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a key is encountered.

Reimplemented in propdom.

## ◆ poundComment()

virtual bool propsax::poundComment | ( | const char * | c | ) |
| protectedvirtual

Gets called when a pound-delimited comment is parsed.

Reimplemented in propdom.

## ◆ poundCommentEnd()

virtual bool propsax::poundCommentEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a pound-delimited comment is encountered.

Reimplemented in propdom.

## ◆ poundCommentStart()

virtual bool propsax::poundCommentStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a pound-delimited comment is encountered.

Reimplemented in propdom.

## ◆ value()

virtual bool propsax::value | ( | const char * | v | ) |
| protectedvirtual

Gets called when a value name is parsed.

Reimplemented in propdom.

## ◆ valueEnd()

virtual bool propsax::valueEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of a value is encountered.

Reimplemented in propdom.

## ◆ valueStart()

virtual bool propsax::valueStart | ( |  | ) |
| protectedvirtual

Gets called when the start of a value is encountered.

Reimplemented in propdom.

## ◆ whitespace()

virtual bool propsax::whitespace | ( | const char * | w | ) |
| protectedvirtual

Gets called when whitespace (outside of a comment, section name, key, or value) is parsed.

Reimplemented in propdom.

## ◆ whitespaceEnd()

virtual bool propsax::whitespaceEnd | ( |  | ) |
| protectedvirtual

Gets called when the end of whitespace (outside of a comment, section name, key, or value) is encountered.

Reimplemented in propdom.

## ◆ whitespaceStart()

virtual bool propsax::whitespaceStart | ( |  | ) |
| protectedvirtual

Gets called when the start of whitespace (outside of a comment, section name, key, or value) is encountered.

Reimplemented in propdom.